DOM::RGBColor Class Reference

`#include <css_value.h>`

## Public Member Functions

| RGBColor (const QColor &c)
| RGBColor (QRgb color)
| RGBColor (const RGBColor &other)
RGBColor & | operator= (const RGBColor &other)
CSSPrimitiveValue | red () const
CSSPrimitiveValue | green () const
CSSPrimitiveValue | blue () const
QRgb | color () const

## Protected Attributes

QRgb | m_color

## Detailed Description

The `RGBColor` interface is used to represent any RGB color value.

This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

Definition at line 591 of file css_value.h.

## Constructor & Destructor Documentation

DOM::RGBColor::RGBColor | ( | const QColor & | c | ) |

inline

Deprecated:

Definition at line 598 of file css_value.h.

## Member Function Documentation

CSSPrimitiveValue DOM::RGBColor::blue | ( |  | ) | const

This attribute is used for the blue value of the RGB color.

Definition at line 511 of file css_value.cpp.

CSSPrimitiveValue DOM::RGBColor::green | ( |  | ) | const

This attribute is used for the green value of the RGB color.

Definition at line 506 of file css_value.cpp.

CSSPrimitiveValue DOM::RGBColor::red | ( |  | ) | const

This attribute is used for the red value of the RGB color.

Definition at line 501 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys